查看: 23498|回复: 71

[下载] UpdateCDN - 通过PC下载3DS固件 并创建可安装的CIA版  关闭 [复制链接] [手机看帖]

分享到:
UID
710196
帖子
2304
威望
3
多玩草
10 草
信仰力
3
发表于 2014-12-14 21:15:52 |显示全部楼层
由于3DS升级固件下载是按阶段性进行的,不能跳跃版本直接下载最新的固件升级,所以下载时必须选择高于本机的多个版本固件,比如9.2.0-20升级到9.4.0-21,需要下载9.3.0-21 (stage1) 9.3.0-21 (stage2) 9.3.0-21 (stage3) 9.3.0-21 (stage4) 9.3.0-21 (stage5) 9.4.0-21(可在fw3DS-csv.zip中查找到),筛选其中高于9.2.0-20的子文件夹CIA文件,并且每个固件的CIA文件数量较多,可通过devmenu批量安装(L+R+A)。
比如当前主机虚拟系统是7.0.0-13,而想要升级到9.2.0-20,可以忽略掉文件夹名小于或等于7.0.0-13中的CIA升级文件。

用法示例:UpdateCDN.py -JPN 9.2.0-20.csv(MSDOS命令行,需 python环境)
表示下载日版的9.2.0-20固件
输入文件 CSV  文档包含升级固件信息
          http://yls8.mtheall.com/ninupdates/reports.php
-JPN        下载日版固件
-EUR        下载欧版固件
-USA        下载美版固件
-KOR        下载韩版固件
-CHN        下载神游版固件
-TWN       下载港版固件
-ALL         下载全区固件
-nosort    关闭按初始固件版本号进行文件夹分类的功能,例如固件X被添加到4.0.0 升级文件中 ,按默认下载的话就会创建名为4.0.0的文件夹。 所以如果你的系统固件是4.0.0或是以上,就无需安装4.0.0文件夹中的升级文件了。

-h, --help  显示帮助信息以及退出
输出目录结构
UpdateCDN
-9.4.0-12(从CSV列表中获取相应的文件名,比如想要下载9.4.0-21的固件,就把fw3DS-csv中相应的9.4.0-21.csv文件放到UpdateCDN文件夹中,下载时就会生成名为9.4.0-12的文件夹)

--JPN(所指定区升级固件所在的文件夹)
---raw(升级原始文件)
---cia (输出CIA文件的位置)
-nobuild   不生成CIA格式,仅仅下载原始升级固件



原作者:cearp 多玩ID:王blueblue

还停留在9.2以下的GW虚拟固件用户可以试试看
经原作者测试,4.5虚拟系统的日版机安装5.0韩版系统后,系统依旧是日文的,但会增加一些重复的系统应用,比如ESHOP商店,安全须知,系统设置等等,这些多出的重复系统应用并不能加载运行。
UpdateCDN.rar (271.38 KB, 下载次数: 1290)

请用最新版的DEVMENU安装CIA的升级固件!
Devmenu620_repack.cia Ver 0.19.49(r53511).rar (321.46 KB, 下载次数: 1014)
本帖最后由 xym814 于 2014-12-15 13:46 编辑

点评

想不到改什么  中国用户是痛苦的,只下原始升级固件还快点,请问怎样批量转cia?  发表于 2014-12-20 14:18:57
luhongtao  可以把港版的系统虚拟成日版吗?谢谢  发表于 2014-12-18 22:48:16
螳螂虾  作者就在多玩哦,ID:王blueblue 可以@下他哦,哈哈  发表于 2014-12-15 09:11:54
已有 1 人评分金钱 收起 理由
红领巾马马 + 300 春香姐说小镜爱学习!

总评分: 金钱 + 300   查看全部评分

使用道具 举报

UID
43203958
帖子
19
威望
0
多玩草
0 草
信仰力
0
发表于 2014-12-14 21:19:09 |显示全部楼层


超赞,有没有9.20 T的版本?

此外,仅可用于Emunand么?还是可以用于sysnand的?

使用道具 举报

任豚索狗

Lv.6

尼普尼普你

UID
55808747
帖子
1982
威望
1
多玩草
0 草
信仰力
0
发表于 2014-12-14 21:20:25 |显示全部楼层
引用 xym814 回复
用法示例:UpdateCDN.py -EUR 9.2.0-20.csv(MSDOS命令行,需 python环境)
安装9.4固件?

点评

xym814  回复 @真任豚索饭 :不行 安装需通过DEVMENU  发表于 2014-12-14 21:48:43
真任豚索饭  回复 @xym814 :能不能安装9.2的本体固件  发表于 2014-12-14 21:25:20
xym814  示例而已 当然现阶段GW虚拟系统只能安装9.2及以下的  发表于 2014-12-14 21:24:51

使用道具 举报

UID
11933044
帖子
1993
威望
10
多玩草
1166 草
信仰力
213

猴年新春勋章

发表于 2014-12-14 21:31:39 |显示全部楼层
不明觉厉

使用道具 举报

OMG

UID
49066027
帖子
99
威望
0
多玩草
0 草
信仰力
0
发表于 2014-12-14 21:33:52 |显示全部楼层
又是一大进步....
~~~

使用道具 举报

UID
57484781
帖子
825
威望
1
多玩草
1284 草
信仰力
0
发表于 2014-12-14 21:39:39 |显示全部楼层
支持下

楼主还是补充一下gbatemp的原帖的内容吧,gabtemp的那位说自己日版虚拟装了韩版的固件,出现了韩版的东西,但都不能使用,

免得大家乱装

使用道具 举报

UID
54548182
帖子
440
威望
1
多玩草
1488 草
信仰力
11

圣诞小乖

发表于 2014-12-14 21:41:11 |显示全部楼层
我擦,这都可以了

使用道具 举报

UID
43203958
帖子
19
威望
0
多玩草
0 草
信仰力
0
发表于 2014-12-14 21:43:31 |显示全部楼层
Snap1.jpg


确实可以用,不过TWN确实没有9.2版本。


使用道具 举报

哈尔喀亚

Lv.6

不务正业

UID
22661021
帖子
814
威望
0
多玩草
60 草
信仰力
23
发表于 2014-12-14 21:47:16 |显示全部楼层
强大,这样就可以为那些还没升到9.2的人升到9.2了吧
FC:5301-0686-1695
多玩业余潜水党
MH菜逼爆破员

使用道具 举报

UID
43203958
帖子
19
威望
0
多玩草
0 草
信仰力
0
发表于 2014-12-14 21:49:44 |显示全部楼层
LZ,下次要贴原贴。

http://gbatemp.net/threads/release-updatecdn-download-3ds-fw-contents-create-installable-cia.375993/

使用道具 举报

UID
43203958
帖子
19
威望
0
多玩草
0 草
信仰力
0
发表于 2014-12-14 21:56:48 |显示全部楼层
夕神 发表于 2014-12-14 21:39
支持下

楼主还是补充一下gbatemp的原帖的内容吧,gabtemp的那位说自己日版虚拟装了韩版的固件,出现了韩版 ...

其实不仅仅如此。

那帖子更重要的是揭示了-----降级的可能性

这可不得了。一旦成功,大量机器可以从4.5以上降级到4.5,这意味着。。。

点评

xym814  devmenu目前只能安装高于本机固件版本号的升级CIA,需要高手修改限制  发表于 2014-12-14 22:03:00

使用道具 举报

不是本人

UID
52303801
帖子
34246
威望
11
多玩草
2015 草
信仰力
111

2015论坛年度勋章 椰树 猴年 帆船 西瓜 冲浪 广场八卦员 小熊维尼 YY论坛外管 哆啦A梦

发表于 2014-12-14 21:58:49 |显示全部楼层
ACTACE 发表于 2014-12-14 21:56
其实不仅仅如此。

那帖子更重要的是揭示了-----降级的可能性。

这意味着GW又该偷着乐了

使用道具 举报

UID
43203958
帖子
19
威望
0
多玩草
0 草
信仰力
0
发表于 2014-12-14 22:00:43 |显示全部楼层
由于被墙的,原文我贴下面吧。
1. 固件6.3降级到5.1成功;但没有说具体FQ失败了。。
2. 不同区域固件相互切换的可能性;

Snap3.jpg

点评

杜夜色  我想知道6.3如何安装CIA?  发表于 2014-12-15 09:39:52

使用道具 举报

UID
57484781
帖子
825
威望
1
多玩草
1284 草
信仰力
0
发表于 2014-12-14 22:01:18 |显示全部楼层
ACTACE 发表于 2014-12-14 21:56
其实不仅仅如此。

那帖子更重要的是揭示了-----降级的可能性。

可是cia运行不了降级也白搭啊。。。你指9.2运行cia至4.5?

使用道具 举报

UID
43203958
帖子
19
威望
0
多玩草
0 草
信仰力
0
发表于 2014-12-14 22:03:29 |显示全部楼层
夕神 发表于 2014-12-14 22:01
可是cia运行不了降级也白搭啊。。。你指9.2运行cia至4.5?

所以只是可能性。目前只能用于emunand。

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

联系总编|举报邮箱:dwkf@yy.com|Archiver|手机版|多玩游戏|多玩视频|多玩游戏论坛 ( 粤B2-20050785 粤ICP备09075143号 粤通管BBS【2008】第006号 )

GMT+8, 2019-1-20 04:34 , Processed in 0.172523 second(s), Total 13, Slave 0 queries , Memcache On.

Powered by Discuz! X2

© 2001-2011 Comsenz Inc.

回顶部